WordPress.org

Ready to get started?Download WordPress

Forums

Javelin Email Marketing
[resolved] Plugin could not be activated (3 posts)

  1. vipteam
    Member
    Posted 1 year ago #

    Plugin v5.3.3
    WordPress v3.5.1
    Theme: Responsive (ThemeID) v1.9.3
    Localhost (XAMPP win32 v1.8.1)

    I deactivated the plugin. Then I wanted to again activate, but I can not. It occurs to me: "Plugin could not be activated because it triggered a fatal error."

    I turned off all other plugins. The problem remains.

    I do not even want to think about deleting the old and install the new plugin installation. I do not know whether the new installation help solve the problem.

    I'm afraid I do not lose my settings.

    What to do?

    http://wordpress.org/extend/plugins/wp-responder-email-autoresponder-and-newsletter-plugin/

  2. vipteam
    Member
    Posted 1 year ago #

    STEP 1
    I remembered something. Install another theme, activate the plugin and get back to my Responsive theme. I tried with Twenty Twelve v1.1. Nothing. It does not solve the problem.

    "Plugin could not be activated because it triggered a fatal error."

    STEP 2 / Solving the problem
    I made the export tables (Export). I wiped the tables (Drop). Activate the plugin. That went without any problems! Again I wiped the tables (Drop). I imported my old (Import).

    Plugin work again!

    Tables (original) are latin1_svedish_ci. It would be better to have utf8_general_ci which supports unicode. It seems to me that I've caused a problem because I have previously changed it and forgot about it.

    On my SQL database is now again utf8_general_ci.

    Raj, please, can you help me with this. I have a few questions:

    (1.) Why does the WP Autoresponder not use utf8_general_ci? All other plugins have it.
    (2.) Does it (utf8) soon can we expect?
    (3.) Is it possible that this is causing problems for activation?
    (4.) What to do now that this problem is not repeated at each deactivation / activation?

    Thanks in advance

  3. rajasekharan
    Member
    Posted 1 year ago #

    Hi,

    You're right the plugin should be using utf8_general_ci instead of latin1_svedish_ci. I'll see to that one of the newer versions migrates all tables' charsets.

    Thanks for letting me know about this. I've created an issue to track this effort.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags

No tags yet.